Package Gnumed :: Package wxpython :: Module gmPregWidgets |
[frames] | no frames]

# Module gmPregWidgets

source code

GNUmed pregnancy related dates widgets.

Author: M. Bonert, R. Terry, I. Haywood, K.Hilbert

Classes
| cEdcCalculatorDlg
| cPregCalcFrame The new pregnancy calculator.

Functions
calculate_edc(parent=None, patient=None) | source code

Variables
| __licence__ = `"GPL v2 or later"`
| LMP_FIELD = `0`
| US_FIELD = `1`
| ID_LMP = `wx.NewId()`
| ID_DUE = `wx.NewId()`
| ID_DAY = `wx.NewId()`
| ID_WEEK = `wx.NewId()`
| ID_MENU = `wx.NewId()`
| GESTATION = `24192000`
| WEEK = `604800`
| DAY = `86400`
| US18_52 = `10886400`

Imports: sys, pydt, gmDateTime, gmTools, gmClinicalCalculator, gmGuiHelpers, wxgEdcCalculatorDlg, math, zlib, random, string, os, wx